using GestionIntegral.Api.Models.Usuarios;

namespace GestionIntegral.Api.Data.Repositories.Usuarios
{
    public interface IAuthRepository
    {
        Task<Usuario?> GetUserByUsernameAsync(string username);
        Task<bool> UpdatePasswordAsync(int userId, string newHash, string newSalt);
        Task<Usuario?> GetUserByIdAsync(int userId); // Método útil para cambio de clav
        Task<IEnumerable<string>> GetPermisosCodAccByPerfilIdAsync(int idPerfil);
    }
}